## narval 1.10.2

=== debian/changelog ===
narval (1.10.2-2) unstable; urgency=low

  * Fix "FTBFS: No patches in series"
    Add a small patch in debian/patches to remove quilt dependency in upstream
    Waiting for upstream to become distribution agnostic
    (Closes: #581330)

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 15 May 2010 22:19:41 +0200

narval (1.10.2-1) unstable; urgency=low

  * new upstream version
    - add hppa, s390 and ia64 architectures Closes: #577514.
    - add new useful script for users
    - update generic actors
  * Fix the destination of libnarval.a in the package

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Apr 2010 16:17:37 +0200

narval (1.10.1-1) unstable; urgency=low

  [Xavier Grave]
  * Initial release. (Closes: #576018)
  
  [Ludovic Brenta]
  * Sponsor the package.
  * debian/control, debian/rules: split the build into
    architecture-dependent and architecture-independent parts to support
    dpkg-buildpackage -b, -B and -A.
  * debian/rules: do not compress PDF files.
  * debian/control (DM-Upload-Allowed): yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 31 Mar 2010 16:17:37 +0100
