=== debian/control ===
Source: narval
Priority: optional
Section: science
Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), quilt, uuid-dev, autoconf, gnat-4.4, gnat, 
 libxmlezout1-dev, libpolyorb1-dev, libaws2.7-dev, liblog4ada1-dev, libaws-bin
Build-Depends-Indep: texlive-binaries, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
Homepage: http://narval.in2p3.fr
Standards-Version: 3.8.4

Package: libnarval1-dev
Section: libdevel
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: libnarval1.10.1 (= ${binary:Version}), gnat-4.4, ${misc:Depends}, libxmlezout1-dev, libpolyorb1-dev, libaws2.7-dev, liblog4ada1-dev
Recommends: narval-servers (= ${binary:Version}), narval-generic-actors (= ${binary:Version})
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (development)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains the files needed to develop NARVAL "actors" in Ada.

Package: libnarval1.10.1
Section: libs
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}, libxmlezout0, libpolyorb2, libaws2.7, liblog4ada0
Recommends: narval-servers (= ${binary:Version}), narval-generic-actors (= ${binary:Version})
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (runtime)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This is the runtime library for NARVAL.

Package: libnarval-dbg
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Section: debug
Priority: extra
Depends: ${misc:Depends}, libxmlezout0, libpolyorb2, libaws2.7, liblog4ada0, libnarval1.10.1 (= ${binary:Version}), libnarval1-dev (= ${binary:Version})
Recommends: narval-servers (= ${binary:Version}), narval-generic-actors (= ${binary:Version})
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (debug)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 These are the debugging symbols for NARVAL.

Package: narval-servers
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, polyorb-servers
Recommends: narval-generic-actors (= ${binary:Version})
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (servers)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains the servers handling configuration, state machine of
 the acquisition system.

Package: narval-generic-actors
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Recommends: narval-servers (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (generic actors)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains the actors that can load shared libraries containing
 user-written plugins.  There are three actors: a producer, a filter and a
 consumer.

Package: narval-utils
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Recommends: narval-servers (= ${binary:Version}), screen
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (utils)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains shell scripts to ease narval users life.

Package: narval-doc
Section: doc
Architecture: all
Recommends: narval-servers (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: narval-tests-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (doc)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains documentation and examples to help start a narval
 system.

Package: narval-tests-actors
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Recommends: narval-servers (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: narval-generic-actors (= ${binary:Version})
Description: An Ada framework for Distributed Acquisition Systems (tests actors)
 NARVAL is a framework that eases setting up of experimental data acquisition.
 It is written in Ada, supports user plugins written in C or C++.  Using NARVAL,
 one can distribute many processes across a network to acquire, process, store
 data online.  Processes are of four types: producer (injects data in NARVAL
 framework), consumer (end of the data flow), intermediate (act as NxM switches)
 and stand alone actor (no data flow handling, can be used for monitoring).
 .
 This package contains the actors used for data rate measurement and tests.
